Subject: bug#16818: Acknowledgement (Undo in region after markers in undo history relocated)

From: Stefan Monnier <[email-masked]>
Date: Tue, 25 Feb 2014 16:43:31 -0500

> What makes more sense to me is that the old value of mark-marker is
> pushed onto the rings, then a new marker object is created to become
> the value of mark-marker. Then the marker adjustment records would
> reference the right markers. Effectively this means the mark would
> follow the advice of the Elisp manual excerpt above.

That sounds right.  I don't have time to really understand the ins and
outs, but if you can write an ERT test case for it, we could install
the change.

        Stefan